Subject: bug#13452: 24.1; Macro Playback Fails When Buffer Scrolls

From: Raymond Zeitler <[email-masked]>
Date: Tue, 15 Jan 2013 20:55:02 +0000

Dear Eli:

Thank you so much for your helpful and quick reply, and also for your involvement in the mailing lists, which has helped me many times before.

Sorry about sending a bug report, especially using MS Outlook.

Peace.

- Ray

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Tuesday, January 15, 2013 2:16 PM
To: Raymond Zeitler
Cc: [email-masked]; [email-masked]
Subject: Re: bug#13452: 24.1; Macro Playback Fails When Buffer Scrolls

> From: Raymond Zeitler <[email-masked]>
> Date: Tue, 15 Jan 2013 18:01:13 +0000
> Cc: "[email-masked]" <[email-masked]>
> 
> Create a file with many more lines than the buffer can display at once.
> In my test, the buffer has about 500 identical lines like this:
> 
> 123456789 0123456789 01234567890
> 
> Then place Point at line 1 column 1.
> 
> I recorded the keyboard macro that you see in Recent Input, which merely
> moves point just past the first 9, then deletes it and puts an "x" in
> its place for the first three lines.  Then it puts a "y" for the next
> three.  Point is then moved to the start of the next line before the
> macro is finished recording.
> 
> Play back the macro a few dozen times.
> 
> As Point keeps moving down, the buffer will need to scroll.  When it
> does scroll, Point will not return to the start of the next line.

Set line-move-visual to nil, and Bob's your uncle.

> I'm amazed that I've been using Emacs (with macros) for 12.5 years and
> never noticed this before!

line-move-visual didn't exist before Emacs 23.  So most of those 12.5
years, the bug didn't exist, because the only behavior available was
the one you see when you set line-move-visual to a nil value.